diff --git a/src/providers/ipa/ipa_netgroups.c b/src/providers/ipa/ipa_netgroups.c
index 0deb394..44f653a 100644
--- a/src/providers/ipa/ipa_netgroups.c
+++ b/src/providers/ipa/ipa_netgroups.c
@@ -84,7 +84,7 @@ static errno_t ipa_save_netgroup(TALLOC_CTX *mem_ctx,
         goto fail;
     }
     name = (const char *)el->values[0].data;
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Storing netgroup %s\n", name));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Storing netgroup %s\n", name);
 
     netgroup_attrs = sysdb_new_attrs(mem_ctx);
     if (!netgroup_attrs) {
@@ -97,10 +97,10 @@ static errno_t ipa_save_netgroup(TALLOC_CTX *mem_ctx,
         goto fail;
     }
     if (el->num_values == 0) {
-        DEBUG(7, ("Original DN is not available for [%s].\n", name));
+        DEBUG(7, "Original DN is not available for [%s].\n", name);
     } else {
-        DEBUG(7, ("Adding original DN [%s] to attributes of [%s].\n",
-                  el->values[0].data, name));
+        DEBUG(7, "Adding original DN [%s] to attributes of [%s].\n",
+                  el->values[0].data, name);
         ret = sysdb_attrs_add_string(netgroup_attrs, SYSDB_ORIG_DN,
                                      (const char *)el->values[0].data);
         if (ret) {
@@ -113,7 +113,7 @@ static errno_t ipa_save_netgroup(TALLOC_CTX *mem_ctx,
         goto fail;
     }
     if (el->num_values == 0) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("No netgroup triples for netgroup [%s].\n", name));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "No netgroup triples for netgroup [%s].\n", name);
         ret = sysdb_attrs_get_el(netgroup_attrs, SYSDB_NETGROUP_TRIPLE, &el);
         if (ret != EOK) {
             goto fail;
@@ -136,10 +136,10 @@ static errno_t ipa_save_netgroup(TALLOC_CTX *mem_ctx,
         goto fail;
     }
     if (el->num_values == 0) {
-        DEBUG(7, ("No original members for netgroup [%s]\n", name));
+        DEBUG(7, "No original members for netgroup [%s]\n", name);
 
     } else {
-        DEBUG(7, ("Adding original members to netgroup [%s]\n", name));
+        DEBUG(7, "Adding original members to netgroup [%s]\n", name);
         for(c = 0; c < el->num_values; c++) {
             ret = sysdb_attrs_add_string(netgroup_attrs,
                        opts->netgroup_map[IPA_AT_NETGROUP_MEMBER].sys_name,
@@ -156,10 +156,10 @@ static errno_t ipa_save_netgroup(TALLOC_CTX *mem_ctx,
         goto fail;
     }
     if (el->num_values == 0) {
-        DEBUG(7, ("No members for netgroup [%s]\n", name));
+        DEBUG(7, "No members for netgroup [%s]\n", name);
 
     } else {
-        DEBUG(7, ("Adding members to netgroup [%s]\n", name));
+        DEBUG(7, "Adding members to netgroup [%s]\n", name);
         for(c = 0; c < el->num_values; c++) {
             ret = sysdb_attrs_add_string(netgroup_attrs, SYSDB_NETGROUP_MEMBER,
                                          (const char*)el->values[c].data);
@@ -169,7 +169,7 @@ static errno_t ipa_save_netgroup(TALLOC_CTX *mem_ctx,
         }
     }
 
-    DEBUG(6, ("Storing info for netgroup %s\n", name));
+    DEBUG(6, "Storing info for netgroup %s\n", name);
 
     ret = sysdb_add_netgroup(ctx, dom, name, NULL, netgroup_attrs, NULL,
                              dom->netgroup_timeout, 0);
@@ -178,7 +178,7 @@ static errno_t ipa_save_netgroup(TALLOC_CTX *mem_ctx,
     return EOK;
 
 fail:
-    DEBUG(2, ("Failed to save netgroup %s\n", name));
+    DEBUG(2, "Failed to save netgroup %s\n", name);
     return ret;
 }
 
@@ -217,7 +217,7 @@ struct tevent_req *ipa_get_netgroups_send(TALLOC_CTX *memctx,
 
     if (!ipa_options->id->sdom->netgroup_search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Netgroup lookup request without a search base\n"));
+              "Netgroup lookup request without a search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -260,8 +260,8 @@ static errno_t ipa_netgr_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-            ("Searching for netgroups with base [%s]\n",
-             netgr_bases[state->netgr_base_iter]->basedn));
+            "Searching for netgroups with base [%s]\n",
+             netgr_bases[state->netgr_base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -315,8 +315,8 @@ static void ipa_get_netgroups_process(struct tevent_req *subreq)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Search for netgroups, returned %zu results.\n",
-                              netgroups_count));
+    DEBUG(SSSDBG_TRACE_FUNC, "Search for netgroups, returned %zu results.\n",
+                              netgroups_count);
 
     if (netgroups_count == 0) {
         /* No netgroups found in this search */
@@ -576,8 +576,8 @@ static void ipa_netgr_members_process(struct tevent_req *subreq)
         goto fail;
     }
 
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("Found %zu members in current search base\n",
-                                  count));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "Found %zu members in current search base\n",
+                                  count);
 
     next_call = NULL;
     /* While processing a batch of entities from one search base,
@@ -613,8 +613,8 @@ static void ipa_netgr_members_process(struct tevent_req *subreq)
         table = state->new_hosts;
     } else {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Invalid entity type given for processing: %d\n",
-               state->current_entity));
+              "Invalid entity type given for processing: %d\n",
+               state->current_entity);
         ret = EINVAL;
         goto fail;
     }
@@ -869,7 +869,7 @@ static int ipa_netgr_process_all(struct ipa_get_netgroups_state *state)
     hash_iterate(state->new_netgroups, extract_netgroups, state);
     for (i = 0; i < state->netgroups_count; i++) {
         /* load all its member netgroups, translate */
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Extracting netgroup members of netgroup %d\n", i));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Extracting netgroup members of netgroup %d\n", i);
         ret = sysdb_attrs_get_string_array(state->netgroups[i],
                                            SYSDB_ORIG_NETGROUP_MEMBER,
                                            state, &members);
@@ -902,10 +902,10 @@ static int ipa_netgr_process_all(struct ipa_get_netgroups_state *state)
             }
             talloc_zfree(members);
         }
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Extracted %d netgroup members\n", j));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Extracted %d netgroup members\n", j);
 
         /* Load all UIDs */
-        DEBUG(SSSDBG_TRACE_ALL, ("Extracting user members of netgroup %d\n", i));
+        DEBUG(SSSDBG_TRACE_ALL, "Extracting user members of netgroup %d\n", i);
         ret = extract_members(state, state->netgroups[i],
                               SYSDB_ORIG_MEMBER_USER,
                               state->new_users,
@@ -913,9 +913,9 @@ static int ipa_netgr_process_all(struct ipa_get_netgroups_state *state)
         if (ret != EOK) {
             goto done;
         }
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Extracted %d user members\n", uids_count));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Extracted %d user members\n", uids_count);
 
-        DEBUG(SSSDBG_TRACE_ALL, ("Extracting host members of netgroup %d\n", i));
+        DEBUG(SSSDBG_TRACE_ALL, "Extracting host members of netgroup %d\n", i);
         ret = extract_members(state, state->netgroups[i],
                               SYSDB_ORIG_MEMBER_HOST,
                               state->new_hosts,
@@ -923,7 +923,7 @@ static int ipa_netgr_process_all(struct ipa_get_netgroups_state *state)
         if (ret != EOK) {
             goto done;
         }
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("Extracted %d host members\n", hosts_count));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "Extracted %d host members\n", hosts_count);
 
         ret = sysdb_attrs_get_el(state->netgroups[i],
                                  SYSDB_ORIG_NETGROUP_EXTERNAL_HOST,
@@ -967,8 +967,8 @@ static int ipa_netgr_process_all(struct ipa_get_netgroups_state *state)
                 hosts = dash;
             }
 
-            DEBUG(SSSDBG_TRACE_INTERNAL, ("Putting together triples of "
-                                          "netgroup %d\n", i));
+            DEBUG(SSSDBG_TRACE_INTERNAL, "Putting together triples of "
+                                          "netgroup %d\n", i);
             for (j = 0; j < uids_count; j++) {
                 for (k = 0; k < hosts_count; k++) {
                     triple = talloc_asprintf(state, "(%s,%s,%s)",
diff --git a/src/providers/ipa/ipa_s2n_exop.c b/src/providers/ipa/ipa_s2n_exop.c
index e7dbeb4..64f09b1 100644
--- a/src/providers/ipa/ipa_s2n_exop.c
+++ b/src/providers/ipa/ipa_s2n_exop.c
@@ -79,22 +79,22 @@ static struct tevent_req *ipa_s2n_exop_send(TALLOC_CTX *mem_ctx,
     state->retoid = NULL;
     state->retdata = NULL;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Executing extended operation\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Executing extended operation\n");
 
     ret = ldap_extended_operation(state->sh->ldap, EXOP_SID2NAME_OID,
                                   bv, NULL, NULL, &msgid);
     if (ret == -1 || msgid == -1) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("ldap_extended_operation failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "ldap_extended_operation failed\n");
         ret = ERR_NETWORK_IO;
         goto fail;
     }
-    DEBUG(SSSDBG_TRACE_INTERNAL, ("ldap_extended_operation sent, msgid = %d\n", msgid));
+    DEBUG(SSSDBG_TRACE_INTERNAL, "ldap_extended_operation sent, msgid = %d\n", msgid);
 
     /* FIXME: get timeouts from configuration, for now 10 secs. */
     ret = sdap_op_add(state, ev, state->sh, msgid, ipa_s2n_exop_done, req, 10,
                       &state->op);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to set up operation!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to set up operation!\n");
         ret = ERR_INTERNAL;
         goto fail;
     }
@@ -129,13 +129,13 @@ static void ipa_s2n_exop_done(struct sdap_op *op,
                             &result, &errmsg, NULL, NULL,
                             NULL, 0);
     if (ret != LDAP_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldap_parse_result failed (%d)\n", state->op->msgid));
+        DEBUG(SSSDBG_OP_FAILURE, "ldap_parse_result failed (%d)\n", state->op->msgid);
         ret = ERR_NETWORK_IO;
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("ldap_extended_operation result: %s(%d), %s\n",
-            sss_ldap_err2string(result), result, errmsg));
+    DEBUG(SSSDBG_TRACE_FUNC, "ldap_extended_operation result: %s(%d), %s\n",
+            sss_ldap_err2string(result), result, errmsg);
 
     if (result != LDAP_SUCCESS) {
         ret = ERR_NETWORK_IO;
@@ -145,21 +145,21 @@ static void ipa_s2n_exop_done(struct sdap_op *op,
     ret = ldap_parse_extended_result(state->sh->ldap, reply->msg,
                                       &retoid, &retdata, 0);
     if (ret != LDAP_SUCCESS) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldap_parse_extendend_result failed (%d)\n", ret));
+        DEBUG(SSSDBG_OP_FAILURE, "ldap_parse_extendend_result failed (%d)\n", ret);
         ret = ERR_NETWORK_IO;
         goto done;
     }
 
     state->retoid = talloc_strdup(state, retoid);
     if (state->retoid == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
         ret = ENOMEM;
         goto done;
     }
 
     state->retdata = talloc(state, struct berval);
     if (state->retdata == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -167,7 +167,7 @@ static void ipa_s2n_exop_done(struct sdap_op *op,
     state->retdata->bv_val = talloc_memdup(state->retdata, retdata->bv_val,
                                            retdata->bv_len);
     if (state->retdata->bv_val == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_memdup failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_memdup failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -306,8 +306,8 @@ static errno_t s2n_encode_request(TALLOC_CTX *mem_ctx,
                                                   domain_name,
                                                   req_input->inp.id);
             } else {
-                DEBUG(SSSDBG_OP_FAILURE, ("Unexpected input type [%d].\n",
-                                          req_input->type == REQ_INP_ID));
+                DEBUG(SSSDBG_OP_FAILURE, "Unexpected input type [%d].\n",
+                                          req_input->type == REQ_INP_ID);
                 ret = EINVAL;
                 goto done;
             }
@@ -322,8 +322,8 @@ static errno_t s2n_encode_request(TALLOC_CTX *mem_ctx,
                                                   domain_name,
                                                   req_input->inp.id);
             } else {
-                DEBUG(SSSDBG_OP_FAILURE, ("Unexpected input type [%d].\n",
-                                          req_input->type == REQ_INP_ID));
+                DEBUG(SSSDBG_OP_FAILURE, "Unexpected input type [%d].\n",
+                                          req_input->type == REQ_INP_ID);
                 ret = EINVAL;
                 goto done;
             }
@@ -333,8 +333,8 @@ static errno_t s2n_encode_request(TALLOC_CTX *mem_ctx,
             ret = ber_printf(ber, "{ees}", INP_SID, request_type,
                                            req_input->inp.secid);
             } else {
-                DEBUG(SSSDBG_OP_FAILURE, ("Unexpected input type [%d].\n",
-                                          req_input->type == REQ_INP_ID));
+                DEBUG(SSSDBG_OP_FAILURE, "Unexpected input type [%d].\n",
+                                          req_input->type == REQ_INP_ID);
                 ret = EINVAL;
                 goto done;
             }
@@ -430,33 +430,33 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
     char *sid_str;
 
     if (retoid == NULL || retdata == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Missing OID or data.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Missing OID or data.\n");
         return EINVAL;
     }
 
     if (strcmp(retoid, EXOP_SID2NAME_OID) != 0) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Result has wrong OID, expected [%s], got [%s].\n",
-              EXOP_SID2NAME_OID, retoid));
+              "Result has wrong OID, expected [%s], got [%s].\n",
+              EXOP_SID2NAME_OID, retoid);
         return EINVAL;
     }
 
     ber = ber_init(retdata);
     if (ber == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ber_init failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ber_init failed.\n");
         return EINVAL;
     }
 
     tag = ber_scanf(ber, "{e", &type);
     if (tag == LBER_ERROR) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ber_scanf failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ber_scanf failed.\n");
         ret = EINVAL;
         goto done;
     }
 
     attrs = talloc_zero(mem_ctx, struct resp_attrs);
     if (attrs == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -465,7 +465,7 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
         case RESP_USER:
             tag = ber_scanf(ber, "{aaii}}", &domain_name, &name, &uid, &gid);
             if (tag == LBER_ERROR) {
-                DEBUG(SSSDBG_OP_FAILURE, ("ber_scanf failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "ber_scanf failed.\n");
                 ret = EINVAL;
                 goto done;
             }
@@ -477,7 +477,7 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
              * lowercase the name. */
             attrs->a.user.pw_name = sss_tc_utf8_str_tolower(attrs, name);
             if (attrs->a.user.pw_name == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -489,7 +489,7 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
         case RESP_GROUP:
             tag = ber_scanf(ber, "{aai}}", &domain_name, &name, &gid);
             if (tag == LBER_ERROR) {
-                DEBUG(SSSDBG_OP_FAILURE, ("ber_scanf failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "ber_scanf failed.\n");
                 ret = EINVAL;
                 goto done;
             }
@@ -501,7 +501,7 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
              * lowercase the name. */
             attrs->a.group.gr_name = sss_tc_utf8_str_tolower(attrs, name);
             if (attrs->a.group.gr_name == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -512,14 +512,14 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
         case RESP_SID:
             tag = ber_scanf(ber, "a}", &sid_str);
             if (tag == LBER_ERROR) {
-                DEBUG(SSSDBG_OP_FAILURE, ("ber_scanf failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "ber_scanf failed.\n");
                 ret = EINVAL;
                 goto done;
             }
 
             attrs->a.sid_str = talloc_strdup(attrs, sid_str);
             if (attrs->a.sid_str == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -527,21 +527,21 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
         case RESP_NAME:
             tag = ber_scanf(ber, "{aa}", &domain_name, &name);
             if (tag == LBER_ERROR) {
-                DEBUG(SSSDBG_OP_FAILURE, ("ber_scanf failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "ber_scanf failed.\n");
                 ret = EINVAL;
                 goto done;
             }
 
             attrs->a.name = sss_tc_utf8_str_tolower(attrs, name);
             if (attrs->a.name == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sss_tc_utf8_str_tolower failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sss_tc_utf8_str_tolower failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
             break;
         default:
-            DEBUG(SSSDBG_OP_FAILURE, ("Unexpected response type [%d].\n",
-                                      type));
+            DEBUG(SSSDBG_OP_FAILURE, "Unexpected response type [%d].\n",
+                                      type);
             ret = EINVAL;
             goto done;
     }
@@ -550,7 +550,7 @@ static errno_t s2n_response_to_attrs(TALLOC_CTX *mem_ctx,
     if (type != RESP_SID) {
         attrs->domain_name = talloc_strdup(attrs, domain_name);
         if (attrs->domain_name == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("talloc_strdup failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "talloc_strdup failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -620,7 +620,7 @@ struct tevent_req *ipa_s2n_get_acct_info_send(TALLOC_CTX *mem_ctx,
 
     subreq = ipa_s2n_exop_send(state, state->ev, state->sh, bv_req);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ipa_s2n_exop_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ipa_s2n_exop_send failed.\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -661,7 +661,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
     ret = ipa_s2n_exop_recv(subreq, state, &retoid, &retdata);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("s2n exop request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "s2n exop request failed.\n");
         goto done;
     }
 
@@ -669,19 +669,19 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
     case REQ_FULL:
         ret = s2n_response_to_attrs(state, retoid, retdata, &attrs);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("s2n_response_to_attrs failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "s2n_response_to_attrs failed.\n");
             goto done;
         }
 
         if (!(strcasecmp(state->dom->name, attrs->domain_name) == 0 ||
               (state->dom->flat_name != NULL &&
                strcasecmp(state->dom->flat_name, attrs->domain_name) == 0))) {
-            DEBUG(SSSDBG_OP_FAILURE, ("Unexpected domain name returned, "
+            DEBUG(SSSDBG_OP_FAILURE, "Unexpected domain name returned, "
                                       "expected [%s] or [%s], got [%s].\n",
                          state->dom->name,
                          state->dom->flat_name == NULL ? "" :
                                                          state->dom->flat_name,
-                         attrs->domain_name));
+                         attrs->domain_name);
             ret = EINVAL;
             goto done;
         }
@@ -704,7 +704,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
 
         subreq = ipa_s2n_exop_send(state, state->ev, state->sh, bv_req);
         if (subreq == NULL) {
-            DEBUG(SSSDBG_OP_FAILURE, ("ipa_s2n_exop_send failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "ipa_s2n_exop_send failed.\n");
             ret = ENOMEM;
             goto done;
         }
@@ -715,19 +715,19 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
     case REQ_SIMPLE:
         ret = s2n_response_to_attrs(state, retoid, retdata, &simple_attrs);
         if (ret != EOK) {
-            DEBUG(SSSDBG_OP_FAILURE, ("s2n_response_to_attrs failed.\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "s2n_response_to_attrs failed.\n");
             goto done;
         }
 
         break;
     default:
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unexpected request type.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unexpected request type.\n");
         ret = EINVAL;
         goto done;
     }
 
     if (state->attrs == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Missing data of full request.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Missing data of full request.\n");
         ret = EINVAL;
         goto done;
     } else {
@@ -754,7 +754,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
 
             user_attrs = sysdb_new_attrs(state);
             if (user_attrs == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_new_attrs failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_new_attrs failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -763,21 +763,21 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
             name = sss_tc_fqname(state, state->dom->names, state->dom,
                                  attrs->a.user.pw_name);
             if (!name) {
-                DEBUG(SSSDBG_OP_FAILURE, ("failed to format user name.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "failed to format user name.\n");
                 ret = ENOMEM;
                 goto done;
             }
 
             lc_name = sss_tc_utf8_str_tolower(user_attrs, name);
             if (lc_name == NULL) {
-                DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot convert name to lowercase\n"));
+                DEBUG(SSSDBG_CRIT_FAILURE, "Cannot convert name to lowercase\n");
                 ret =  ENOMEM;
                 goto done;
             }
 
             ret = sysdb_attrs_add_string(user_attrs, SYSDB_NAME_ALIAS, lc_name);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
                 goto done;
             }
 
@@ -789,21 +789,21 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
              * it from there. */
             realm = get_uppercase_realm(state, state->dom->name);
             if (!realm) {
-                DEBUG(SSSDBG_OP_FAILURE, ("failed to get realm.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "failed to get realm.\n");
                 ret = ENOMEM;
                 goto done;
             }
             upn = talloc_asprintf(state, "%s@%s",
                                   attrs->a.user.pw_name, realm);
             if (!upn) {
-                DEBUG(SSSDBG_OP_FAILURE, ("failed to format UPN.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "failed to format UPN.\n");
                 ret = ENOMEM;
                 goto done;
             }
 
             ret = sysdb_attrs_add_string(user_attrs, SYSDB_UPN, upn);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
                 goto done;
             }
 
@@ -811,7 +811,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
                 ret = sysdb_attrs_add_string(user_attrs, SYSDB_SID_STR,
                                              state->req_input->inp.secid);
                 if (ret != EOK) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
                     goto done;
                 }
             }
@@ -820,7 +820,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
                 ret = sysdb_attrs_add_string(user_attrs, SYSDB_SID_STR,
                                              simple_attrs->a.sid_str);
                 if (ret != EOK) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
                     goto done;
                 }
             }
@@ -841,14 +841,14 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
             name = sss_tc_fqname(state, state->dom->names, state->dom,
                                  attrs->a.group.gr_name);
             if (!name) {
-                DEBUG(SSSDBG_OP_FAILURE, ("failed to format user name,\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "failed to format user name,\n");
                 ret = ENOMEM;
                 goto done;
             }
 
             group_attrs = sysdb_new_attrs(state);
             if (group_attrs == NULL) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_new_attrs failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_new_attrs failed.\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -856,7 +856,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
             lc_name = sss_tc_utf8_str_tolower(group_attrs, name);
             if (lc_name == NULL) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("Cannot convert name to lowercase\n"));
+                      "Cannot convert name to lowercase\n");
                 ret = ENOMEM;
                 goto done;
             }
@@ -864,7 +864,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
             ret = sysdb_attrs_add_string(group_attrs, SYSDB_NAME_ALIAS,
                                          lc_name);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
                 goto done;
             }
 
@@ -872,7 +872,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
                 ret = sysdb_attrs_add_string(group_attrs, SYSDB_SID_STR,
                                              state->req_input->inp.secid);
                 if (ret != EOK) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
                     goto done;
                 }
             }
@@ -881,7 +881,7 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
                 ret = sysdb_attrs_add_string(group_attrs, SYSDB_SID_STR,
                                              simple_attrs->a.sid_str);
                 if (ret != EOK) {
-                    DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_add_string failed.\n"));
+                    DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_add_string failed.\n");
                     goto done;
                 }
             }
@@ -891,8 +891,8 @@ static void ipa_s2n_get_user_done(struct tevent_req *subreq)
                                     timeout, now);
             break;
         default:
-            DEBUG(SSSDBG_OP_FAILURE, ("Unexpected response type [%d].\n",
-                                      attrs->response_type));
+            DEBUG(SSSDBG_OP_FAILURE, "Unexpected response type [%d].\n",
+                                      attrs->response_type);
             ret = EINVAL;
             goto done;
     }
